com.ihr.xbrl.om

## Interface XBRLVariableResolver

- All Superinterfaces:
    javax.xml.xpath.XPathVariableResolver
  All Known Implementing Classes:
    FlVariableResolver

      public interface XBRLVariableResolver
      extends javax.xml.xpath.XPathVariableResolver

  This interface allows variable resolvers to add variables for the XPath expressions executed in XMLFragment objects.
  Author:
    Ignacio

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bindVariableValues(net.sf.saxon.s9api.XPathSelector xpathExpression)` Bind real variable values to the variables defined previously.
    `void` | `checkVariablesFrom(XBRLVariableResolver res)` Check variable declarations in res and existing variable declarations Add only new variables and update values for existing variables.
    `void` | `declareVariables(net.sf.saxon.s9api.XPathCompiler compiler)` Declares all variables into the compiler object.
    `java.util.Iterator<javax.xml.namespace.QName>` | `getVariableNames()` Returns an iterator over all variables defined.

    - ### Methods inherited from interface javax.xml.xpath.XPathVariableResolver

      `resolveVariable`

- - ### Method Detail

    - #### declareVariables

          void declareVariables(net.sf.saxon.s9api.XPathCompiler compiler)

      Declares all variables into the compiler object.
      Parameters:
        `compiler` - the compiler

    - #### bindVariableValues

          void bindVariableValues(net.sf.saxon.s9api.XPathSelector xpathExpression)

      Bind real variable values to the variables defined previously.
      Parameters:
        `xpathExpression` - the xpath expression

    - #### checkVariablesFrom

          void checkVariablesFrom(XBRLVariableResolver res)

      Check variable declarations in res and existing variable declarations Add only new variables and update values for existing variables.
      Parameters:
        `res` - the res

    - #### getVariableNames

          java.util.Iterator<javax.xml.namespace.QName> getVariableNames()

      Returns an iterator over all variables defined.
      Returns:
        Iterator<QName>